create table plpgsql_table6 (firstname varchar(10), lastname varchar(15), 
  age integer, location text);

-- %TYPE and %ROWTYPE + embedded begin
create function plpgsqlfunc6 () returns text as '

declare
  v_integer integer := 1;
  v2_integer v_integer%TYPE := 5;

  begin

  insert into plpgsql_table6 values (''patrick'', ''macdonald'', 39, ''toronto'');

  declare
  newage plpgsql_table6.age%TYPE;
  newrow plpgsql_table6%ROWTYPE;

  begin
    select into newage age from plpgsql_table6 where lastname = ''macdonald''; 
    select into newrow * from plpgsql_table6 where age = 39; 

    raise notice ''New age is %'', newage;
    raise notice ''New row name is %'', newrow.firstname;
     
    raise notice ''v2_integer is %'', v2_integer;

  end;

  drop table plpgsql_table6;
  return ''goop'';
  end;
  '
  language 'plpgsql';

  select plpgsqlfunc6();
  drop function plpgsqlfunc6();
